commit:     45730573642c5e9809c0109613636c14dff568ce
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Tue Mar 26 02:30:49 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Mar 26 02:33:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45730573

dev-util/gcovr: Version bump to 4.1

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-util/gcovr/gcovr-4.1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-util/gcovr/gcovr-4.1.ebuild b/dev-util/gcovr/gcovr-4.1.ebuild
new file mode 100644
index 00000000000..0c6dfe43305
--- /dev/null
+++ b/dev-util/gcovr/gcovr-4.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_5 python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python script for summarizing gcov data"
+HOMEPAGE="https://github.com/gcovr/gcovr";
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+SRC_URI="https://github.com/gcovr/gcovr/archive/${PV}.tar.gz -> ${P}.tar.gz"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# a bunch of "unknown module" failures
+RESTRICT="test"
+
+python_test() {
+       mkdir "${T}/bin" || die
+       printf -- "#!/bin/bash\nexec PYTHONPATH=\"%s\" python -c 'import 
gcovr.__main__; gcovr.__main__.main()' -- \"${@}\"" \
+               "${BUILD_DIR}/lib" \
+               > "${T}/bin/gcovr"
+
+       chmod 755 "${T}/bin/gcovr" || die
+
+       PATH="${T}/bin:${PATH}" ${EPYTHON} -m pytest -vv || die
+}

Reply via email to